## gkrellm-gkrellmpc 0.1~beta10

=== Makefile ===
#
# $Header: /cvsroot/gkrellmpc/Makefile,v 1.15 2005/03/05 22:38:44 mina Exp $
#

VERSION = $(shell awk '$$1 == "\#define" && $$2 == "VERSION" {gsub("\"", "", $$3); print $$3;}' globals.h)

OBJECTS = gkrellmpc.o mpd.o conf.o playlist.o addlist.o url.o

CC ?= gcc
CFLAGS += -Wall -fPIC `pkg-config gtk+-2.0 --cflags` -DPACKAGE="\"gkrellmpc\""
ifeq ($(enable_nls),1)
	CFLAGS += -DENABLE_NLS
endif
LDFLAGS += `curl-config --libs`

.PHONY: all clean dist install install_lib install_local_lib install_home install_instructions deinstall uninstall test strip

all: gkrellmpc.so

gkrellmpc.so: $(OBJECTS)
	$(CC) $(CFLAGS) $(LDFLAGS) -shared -o gkrellmpc.so $(OBJECTS)
ifeq ($(enable_nls),1)
	(cd po && ${MAKE} all)
endif

%.o: %.c %.h globals.h
	$(CC) $(CFLAGS) -c -o $@ $<

strip: gkrellmpc.so
	strip gkrellmpc.so

clean:
	-rm -rf *.o *.so *.tar.gz dist
	(cd po && ${MAKE} clean)

dist: gkrellmpc.c gkrellmpc.h pixmaps Makefile Changelog README.txt
	-rm -rf dist
	mkdir dist
	mkdir dist/gkrellmpc-$(VERSION)
	cp -r README.txt Changelog Makefile *.c *.h pixmaps po dist/gkrellmpc-$(VERSION)/
	-find dist/gkrellmpc-$(VERSION)/ -name CVS -exec rm -rf '{}' ';'
	-find dist/gkrellmpc-$(VERSION)/ -name .cvsignore -exec rm -rf '{}' ';'
	-rm gkrellmpc-$(VERSION).tar.gz
	cd dist && tar czvf ../gkrellmpc-$(VERSION).tar.gz .
	rm -rf dist

install: gkrellmpc.so
	if [ -d /usr/lib/gkrellm2/plugins/ -a -w /usr/lib/gkrellm2/plugins/ ]; then make install_lib; elif [ -d /usr/local/lib/gkrellm2/plugins/ -a -d /usr/local/lib/gkrellm2/plugins/ ]; then make install_local_lib; elif [ -d ~/.gkrellm2/plugins/ -a -w ~/.gkrellm2/plugins/ ]; then make install_home; else make install_instructions; fi

install_lib: gkrellmpc.so
	cp gkrellmpc.so /usr/lib/gkrellm2/plugins/
ifeq ($(enable_nls),1)
	(cd po && ${MAKE} install)
endif

install_local_lib: gkrellmpc.so
	cp gkrellmpc.so /usr/local/lib/gkrellm2/plugins/
ifeq ($(enable_nls),1)
	(cd po && ${MAKE} install)
endif

install_home: gkrellmpc.so
	cp gkrellmpc.so ~/.gkrellm2/plugins/
ifeq ($(enable_nls),1)
	@echo
	@echo Note: NLS .mo files have not been installed
	@echo
endif

install_instructions: gkrellmpc.so
	@echo
	@echo None of the standard locations for gkrellm plugins exist or are writeable by the current user id.
	@echo
	@echo Please manually copy the gkrellmpc.so file to one of your gkrellm plugin directories
	@echo
	@echo Typically system-wide plugins are placed in one of:
	@echo
	@echo "	/usr/lib/gkrellm2/plugins/"
	@echo "	/usr/local/lib/gkrellm2/plugins/"
	@echo
	@echo And user-specific plugins are placed in:
	@echo
	@echo "	~/.gkrellm2/plugins/"
	@echo
	@echo However, your system may have alternate paths.

deinstall uninstall:
	if [ -f /usr/lib/gkrellm2/plugins/gkrellmpc.so ]; then rm -f /usr/lib/gkrellm2/plugins/gkrellmpc.so; fi 
	if [ -f /usr/local/lib/gkrellm2/plugins/gkrellmpc.so ]; then rm -f /usr/local/lib/gkrellm2/plugins/gkrellmpc.so; fi 
	if [ -f ~/.gkrellm2/plugins/gkrellmpc.so ]; then rm -f ~/.gkrellm2/plugins/gkrellmpc.so; fi 

test: gkrellmpc.so
	gkrellm2 -p gkrellmpc.so

=== po/Makefile ===
#
# $Header: /cvsroot/gkrellmpc/po/Makefile,v 1.1 2005/03/05 22:27:27 mina Exp $
#
MSGFMT = msgfmt
FILES_PO:=$(wildcard *.po)
FILES_MO:=$(FILES_PO:.po=.mo)

PREFIX ?= "/usr/share"
LOCALEDIR ?= $(PREFIX)/locale
PKGNAME ?= gkrellmpc

.PHONY: install

ifeq ($(enable_nls),1)
all: mo-files

mo-files: $(FILES_MO)

install: 
	$(MAKE) all
	for f in *.mo ; do mkdir -p \
		$(LOCALEDIR)/`basename $$f .mo`/LC_MESSAGES ; \
		cp $$f $(LOCALEDIR)/`basename $$f .mo`/LC_MESSAGES/$(PKGNAME).mo ; done

uninstall: 
	for f in $(FILES_MO) ; do \
		rm $(LOCALEDIR)/`basename $$f .mo`/LC_MESSAGES/$(PKGNAME).mo ; done

%.mo: %.po
	$(MSGFMT) -f -v -o $@ $<

else

all:

install:

endif

pot:
	xgettext -d $(PKGNAME) --keyword=_ --keyword=N_ -C -o $(PKGNAME).pot ../*.c

clean:
	$(RM) $(FILES_MO)

=== debian/changelog ===
gkrellm-gkrellmpc (0.1~beta10-4) unstable; urgency=medium

  * Bump debhelper compat level to 10
  * Bump Standards-Version to 3.9.8 (no change needed)
  * Enable all hardening options
  * Fix a crash when adding tracks
  * Use secure Vcs-* fields

 -- Andrey Rahmatullin <wrar@debian.org>  Sun, 20 Nov 2016 21:50:23 +0500

gkrellm-gkrellmpc (0.1~beta10-3) unstable; urgency=low

  * Bump debhelper compat level to 9
  * Bump Standards-Version to 3.9.4 (no change needed)
  * Add debian/watch
  * Use canonical anonscm.d.o URLs in the Vcs-* control fields
  * Update debian/copyright format URL and copyright years
  * Use DEB_LDFLAGS_MAINT_APPEND instead of exporting LDFLAGS in rules
  * Use LIBS, LDFLAGS and CPPFLAGS in the Makefile properly

 -- Andrey Rahmatullin <wrar@wrar.name>  Tue, 25 Jun 2013 23:31:51 +0600

gkrellm-gkrellmpc (0.1~beta10-2) unstable; urgency=low

  * Upload to unstable
  * Change maintainer to pkg-mpd team
  * Bump Standards-Version to 3.9.2 (no change needed)

 -- Andrey Rahmatullin <wrar@wrar.name>  Sat, 16 Jul 2011 01:03:21 +0600

gkrellm-gkrellmpc (0.1~beta10-1) experimental; urgency=low

  * Initial release (Closes: #607445)

 -- Andrey Rahmatullin <wrar@wrar.name>  Tue, 21 Dec 2010 22:20:22 +0500

=== debian/control ===
Source: gkrellm-gkrellmpc
Section: sound
Priority: optional
Maintainer: mpd maintainers <pkg-mpd-maintainers@lists.alioth.debian.org>
Uploaders: Andrey Rahmatullin <wrar@debian.org>
Build-Depends: debhelper (>= 10), libcurl4-gnutls-dev, gkrellm (>= 2.0.0), libgtk2.0-dev, pkg-config
Standards-Version: 3.9.8
Homepage: http://mpd.wikia.com/wiki/Client:GKrellMPC
Vcs-Git: https://anonscm.debian.org/git/pkg-mpd/gkrellm-gkrellmpc.git
Vcs-Browser: https://anonscm.debian.org/git/pkg-mpd/gkrellm-gkrellmpc.git

Package: gkrellm-gkrellmpc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, gkrellm (>= 2.0.0)
Description: GKrellM plugin for controlling MPD
 This GKrellM plugin works as a client for Music Player Daemon (MPD). It shows
 the current song and allows one to control the playback and change the
 playlist.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed
export DEB_BUILD_MAINT_OPTIONS=hardening=+all


%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- enable_nls=1

override_dh_auto_install:
	dh_auto_install -- enable_nls=1

override_dh_auto_test:

=== debian/watch ===
version=3
opts=uversionmangle=s/_/~/ \
  http://mina.naguib.ca/dist/gkrellmpc-(.*).tar.gz
#  http://mpd.wikia.com/wiki/Client:GKrellMPC http://mina.naguib.ca/dist/gkrellmpc-(.*).tar.gz
